CommonDetailComponents (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.windowdetail

## Class CommonDetailComponents

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.windowdetail.CommonDetailComponents

-     public class CommonDetailComponents
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FIVEPX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.user.client.ui.Anchor` | `createAbout(DataSourceModel ds, boolean insertAboutCitation)`
    `com.extjs.gxt.ui.client.widget.VerticalPanel` | `createExternalLinks(String searchValue)`
    `com.extjs.gxt.ui.client.widget.VerticalPanel` | `createIndexOfContents(List<String> listScientificName)`
    `com.extjs.gxt.ui.client.widget.VerticalPanel` | `createPanelAbout(SpeciesCapability capability, List<String> listDataSourcesFound)`
    `String` | `createTableWithCheckCommonNameDataSource(HashMap<String,ArrayList<String>> hashCommonNameDataSources, ArrayList<String> listDataSourceFound)`
    `String` | `getSearchTitle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIVEPX

          public static final String FIVEPX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSearchTitle

          public String getSearchTitle()

    - #### createTableWithCheckCommonNameDataSource

          public String createTableWithCheckCommonNameDataSource(HashMap<String,ArrayList<String>> hashCommonNameDataSources,
                                                        ArrayList<String> listDataSourceFound)

    - #### createIndexOfContents

          public com.extjs.gxt.ui.client.widget.VerticalPanel createIndexOfContents(List<String> listScientificName)

    - #### createPanelAbout

          public com.extjs.gxt.ui.client.widget.VerticalPanel createPanelAbout(SpeciesCapability capability,
                                                                      List<String> listDataSourcesFound)

    - #### createAbout

          public com.google.gwt.user.client.ui.Anchor createAbout(DataSourceModel ds,
                                                         boolean insertAboutCitation)

    - #### createExternalLinks

          public com.extjs.gxt.ui.client.widget.VerticalPanel createExternalLinks(String searchValue)

      Parameters:
        `searchValue` -
      Returns:
        a vetical panel with external links on input

Copyright © 2013. All Rights Reserved.